<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>DSP(C674)-EDMA Data Path Processing Chain Unit Test</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li class="current"><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">DSP(C674)-EDMA Data Path Processing Chain Unit Test </div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><h1><a class="anchor" id="intro_sec"></a>
Introduction</h1>
<p>The data path processing on XWR16xx for 1D, 2D and 3D processing consists of a coordinated execution between the C674 DSP and EDMA. This is demonstrated as part of millimeter wave demo located at: </p><pre class="fragment">ti\demo\xwr16xx\mmw </pre><p> The demo runs in real-time and has all the associated framework for BSS control etc with it. There is need to have a stand-alone unit test like code that allows the data path to be excited in non real-time. This allows developer to use it as a debug/development aid towards eventually making the data path processing real-time with real chirping. Developer can easily step into the code and test against knowns input signals. The core data path processing source codes are shared between this test and the mmw demo. Most of the documentation is therefore also shared and can be looked up in the mmw demo documentation. Here we will only document the test generator briefly.</p>
<h1><a class="anchor" id="testGen"></a>
Test Generator</h1>
<p>The test generator allows user to set objects artificially at desired range, doppler and azimuth bins, and noise level so that output can be checked against these settings. It can generate one frame of data.</p>
<p>The test data generator is located in file: <code> ti\drivers\test\common\gen_frame_data.c </code> The function initFrameData() specifies the number of targets, and for each target the following parametrs:</p><ul>
<li>signal amplitude,</li>
<li>peak index position in the range FFT,</li>
<li>peak index position the Doppler FFT and</li>
<li>peak index position in the Azimuth FFT.</li>
</ul>
<p>The reference signal of one target is generated as:</p>
<p class="formulaDsp">
<img class="formulaDsp" alt="\[ x_{k,m}(n)=A \exp (j2\pi\frac{f_R}{N_{RFFT}}n + j2\pi\frac{f_A}{N_{AFFT}}(m+(k \% N_{Tx})N_{Rx}) + j2\pi\frac{f_D}{N_{Tx} \cdot N_{DFFT}}k) + noise \]" src="form_0.png"/>
</p>
<p>where</p><ul>
<li><img class="formulaInl" alt="$k$" src="form_1.png"/> is chirp index in the frame <img class="formulaInl" alt="$k=0,...,N_{Tx}N_{DFFT}-1$" src="form_2.png"/></li>
<li><img class="formulaInl" alt="$m$" src="form_3.png"/> is receive antenna index <img class="formulaInl" alt="$m=0,...,N_{Rx}-1$" src="form_4.png"/></li>
<li><img class="formulaInl" alt="$n$" src="form_5.png"/> is sample index inside the chirp <img class="formulaInl" alt="$n=0,N_{RFFT}-1$" src="form_6.png"/></li>
<li><img class="formulaInl" alt="$N_{RFFT}$" src="form_7.png"/> is number of range bins, (range FFT size)</li>
<li><img class="formulaInl" alt="$f_{R}$" src="form_8.png"/> is expected peak index in the range FFT</li>
<li><img class="formulaInl" alt="$f_{D}$" src="form_9.png"/> is expected peak index at the Doppler FFT</li>
<li><img class="formulaInl" alt="$f_{A}$" src="form_10.png"/> is expected peak index at the azimuth FFT</li>
<li><img class="formulaInl" alt="$N_{AFFT}$" src="form_11.png"/> is number of angle bins (azimuth FFT size)</li>
<li><img class="formulaInl" alt="$N_{Tx}$" src="form_12.png"/> is number of Tx antennas</li>
<li><img class="formulaInl" alt="$N_{Rx}$" src="form_13.png"/> is number of Rx antennas</li>
<li><img class="formulaInl" alt="$N_{DFFT}$" src="form_14.png"/> is number of Doppler bins (Doppler FFT size) </li>
</ul>
</div></div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
